Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class TerminateInstanceInAutoScalingGroupRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.autoscaling.model.TerminateInstanceInAutoScalingGroupRequest

    public class TerminateInstanceInAutoScalingGroupRequest

extends AmazonWebServiceRequest

Container for the parameters to the `TerminateInstanceInAutoScalingGroup operation`.

Terminates the specified instance. Optionally, the desired group size can be adjusted.

NOTE: This call simply registers a termination request. The termination of the instance cannot happen immediately.

See Also:
  `AmazonAutoScaling.terminateInstanceInAutoScalingGroup(TerminateInstanceInAutoScalingGroupRequest)`

Constructor Summary
`TerminateInstanceInAutoScalingGroupRequest()`

Method Summary
`String` | `getInstanceId()` The ID of the EC2 instance to be terminated.
`Boolean` | `getShouldDecrementDesiredCapacity()` Specifies whether (true) or not (false) terminating this instance should also decrement the size of the AutoScalingGroup.
`Boolean` | `isShouldDecrementDesiredCapacity()` Specifies whether (true) or not (false) terminating this instance should also decrement the size of the AutoScalingGroup.
`void` | `setInstanceId(String instanceId)` The ID of the EC2 instance to be terminated.
`void` | `setShouldDecrementDesiredCapacity(Boolean shouldDecrementDesiredCapacity)` Specifies whether (true) or not (false) terminating this instance should also decrement the size of the AutoScalingGroup.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`TerminateInstanceInAutoScalingGroupRequest` | `withInstanceId(String instanceId)` The ID of the EC2 instance to be terminated.
`TerminateInstanceInAutoScalingGroupRequest` | `withShouldDecrementDesiredCapacity(Boolean shouldDecrementDesiredCapacity)` Specifies whether (true) or not (false) terminating this instance should also decrement the size of the AutoScalingGroup.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TerminateInstanceInAutoScalingGroupRequest

    public TerminateInstanceInAutoScalingGroupRequest()

Method Detail

### getInstanceId

    public String getInstanceId()

  The ID of the EC2 instance to be terminated.

  Constraints:
  Length: 1 - 16
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    The ID of the EC2 instance to be terminated.

### setInstanceId

    public void setInstanceId(String instanceId)

  The ID of the EC2 instance to be terminated.

  Constraints:
  Length: 1 - 16
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `instanceId` - The ID of the EC2 instance to be terminated.

### withInstanceId

    public TerminateInstanceInAutoScalingGroupRequest withInstanceId(String instanceId)

  The ID of the EC2 instance to be terminated.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 16
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `instanceId` - The ID of the EC2 instance to be terminated.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isShouldDecrementDesiredCapacity

    public Boolean isShouldDecrementDesiredCapacity()

  Specifies whether (true) or not (false) terminating this instance should also decrement the size of the AutoScalingGroup.

  Returns:
    Specifies whether (true) or not (false) terminating this instance should also decrement the size of the AutoScalingGroup.

### setShouldDecrementDesiredCapacity

    public void setShouldDecrementDesiredCapacity(Boolean shouldDecrementDesiredCapacity)

  Specifies whether (true) or not (false) terminating this instance should also decrement the size of the AutoScalingGroup.

  Parameters:
    `shouldDecrementDesiredCapacity` - Specifies whether (true) or not (false) terminating this instance should also decrement the size of the AutoScalingGroup.

### withShouldDecrementDesiredCapacity

    public TerminateInstanceInAutoScalingGroupRequest withShouldDecrementDesiredCapacity(Boolean shouldDecrementDesiredCapacity)

  Specifies whether (true) or not (false) terminating this instance should also decrement the size of the AutoScalingGroup.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `shouldDecrementDesiredCapacity` - Specifies whether (true) or not (false) terminating this instance should also decrement the size of the AutoScalingGroup.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getShouldDecrementDesiredCapacity

    public Boolean getShouldDecrementDesiredCapacity()

  Specifies whether (true) or not (false) terminating this instance should also decrement the size of the AutoScalingGroup.

  Returns:
    Specifies whether (true) or not (false) terminating this instance should also decrement the size of the AutoScalingGroup.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.